import { HttpRequest as __HttpRequest, HttpResponse as __HttpResponse } from "@aws-sdk/protocol-http";
import { SerdeContext as __SerdeContext } from "@aws-sdk/types";
import { CreateNotificationRuleCommandInput, CreateNotificationRuleCommandOutput } from "../commands/CreateNotificationRuleCommand";
import { DeleteNotificationRuleCommandInput, DeleteNotificationRuleCommandOutput } from "../commands/DeleteNotificationRuleCommand";
import { DeleteTargetCommandInput, DeleteTargetCommandOutput } from "../commands/DeleteTargetCommand";
import { DescribeNotificationRuleCommandInput, DescribeNotificationRuleCommandOutput } from "../commands/DescribeNotificationRuleCommand";
import { ListEventTypesCommandInput, ListEventTypesCommandOutput } from "../commands/ListEventTypesCommand";
import { ListNotificationRulesCommandInput, ListNotificationRulesCommandOutput } from "../commands/ListNotificationRulesCommand";
import { ListTagsForResourceCommandInput, ListTagsForResourceCommandOutput } from "../commands/ListTagsForResourceCommand";
import { ListTargetsCommandInput, ListTargetsCommandOutput } from "../commands/ListTargetsCommand";
import { SubscribeCommandInput, SubscribeCommandOutput } from "../commands/SubscribeCommand";
import { TagResourceCommandInput, TagResourceCommandOutput } from "../commands/TagResourceCommand";
import { UnsubscribeCommandInput, UnsubscribeCommandOutput } from "../commands/UnsubscribeCommand";
import { UntagResourceCommandInput, UntagResourceCommandOutput } from "../commands/UntagResourceCommand";
import { UpdateNotificationRuleCommandInput, UpdateNotificationRuleCommandOutput } from "../commands/UpdateNotificationRuleCommand";
export declare const serializeAws_restJson1CreateNotificationRuleCommand: (input: CreateNotificationRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteNotificationRuleCommand: (input: DeleteNotificationRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DeleteTargetCommand: (input: DeleteTargetCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1DescribeNotificationRuleCommand: (input: DescribeNotificationRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListEventTypesCommand: (input: ListEventTypesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListNotificationRulesCommand: (input: ListNotificationRulesCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListTagsForResourceCommand: (input: ListTagsForResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1ListTargetsCommand: (input: ListTargetsCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1SubscribeCommand: (input: SubscribeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1TagResourceCommand: (input: TagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UnsubscribeCommand: (input: UnsubscribeCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UntagResourceCommand: (input: UntagResourceCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const serializeAws_restJson1UpdateNotificationRuleCommand: (input: UpdateNotificationRuleCommandInput, context: __SerdeContext) => Promise<__HttpRequest>;
export declare const deserializeAws_restJson1CreateNotificationRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<CreateNotificationRuleCommandOutput>;
export declare const deserializeAws_restJson1DeleteNotificationRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteNotificationRuleCommandOutput>;
export declare const deserializeAws_restJson1DeleteTargetCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DeleteTargetCommandOutput>;
export declare const deserializeAws_restJson1DescribeNotificationRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<DescribeNotificationRuleCommandOutput>;
export declare const deserializeAws_restJson1ListEventTypesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListEventTypesCommandOutput>;
export declare const deserializeAws_restJson1ListNotificationRulesCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListNotificationRulesCommandOutput>;
export declare const deserializeAws_restJson1ListTagsForResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTagsForResourceCommandOutput>;
export declare const deserializeAws_restJson1ListTargetsCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<ListTargetsCommandOutput>;
export declare const deserializeAws_restJson1SubscribeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<SubscribeCommandOutput>;
export declare const deserializeAws_restJson1TagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<TagResourceCommandOutput>;
export declare const deserializeAws_restJson1UnsubscribeCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UnsubscribeCommandOutput>;
export declare const deserializeAws_restJson1UntagResourceCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UntagResourceCommandOutput>;
export declare const deserializeAws_restJson1UpdateNotificationRuleCommand: (output: __HttpResponse, context: __SerdeContext) => Promise<UpdateNotificationRuleCommandOutput>;
